clear all
close all

% Solve linear system for the Hilbert-Matrix of different dimensions using
% LR-decomposition:

Nmax = 20;

for n = 2:Nmax
    % Get the next matrix:
    Hn = hilb(n);
    % Set up the right-hand side and exact solution:
    bn = Hn(:,1);
    en = eye(n,1);
    % Solve by LR-decomposition:
    [L,R] = LRDecomp(Hn);
    zn = ForwardSub(L,bn);
    xn = BackwardSub(R,zn);
    if norm(xn-en)<eps
        fprintf('Successful for n = %d\n',n)
    end
end