function x = ForwardSub(L,b)
%Solves linear system with a lower-triangular matrix L and right-hand side
%b by forward substitution.

% Get the shape of the matrix:
n = size(L);
n = n(1);
% Prepare output:
x = zeros(n,1);
% Loop over the columns:
for k = 1:n
    % Compute the next entry.
    x(k) = (b(k) - L(k,1:k-1)*x(1:k-1))/L(k,k);
end