function [L,A] = LRDecomp(A)
% Computes LR-decomposition of a given square matrix A.

% Get the size of the matrix:
n = size(A);
n = n(1);
% Prepare output L. Note that this is not necessary, one could also store L
% in the lower diagonal part of A.
L = eye(n);
% Loop over the columns of the matrix:
for k = 1:n-1
    % Get the pivot-element:
    pivot = A(k,k);
    % Perform the next elimination step. Input Matrix A is overwritten to
    % become upper triangular in the end.
    for i = k+1:n
        l_ik = A(i,k)/pivot;
        A(i,k) = 0;
        A(i,k+1:end) = A(i,k+1:end) - l_ik*A(k,k+1:end);
        % Store the element of the L-Matrix
        L(i,k) = l_ik;
    end
end
end